Subject: [Netconf] Please attend the IRS BoF

From: Benoit Claise <[email-masked]>
Date: Tue, 30 Oct 2012 17:01:19 +0100

Dear all,

I encourage you all to attend the IRS BoF, 1740-1940 Afternoon Session III

	Salon D <http://tools.ietf.org/agenda/85/venue/?room=salon-d> 	RTG 
irs 	Interface to the Routing System BOF

This BoF will!should be speaking about YANG for data modeling.
Unfortunately, no agenda yet at 
https://datatracker.ietf.org/meeting/85/agenda.html
The mailer is https://www.ietf.org/mailman/listinfo/irs-discuss

Regards, Benoit.

---

From: Phil Shafer <[email-masked]>
Date: Tue, 30 Oct 2012 14:19:34 -0400

>I encourage you all to attend the IRS BoF, 1740-1940 Afternoon Session III

FYI: It's Monday (11/5).

Thanks,
 Phil

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 31 Oct 2012 01:41:51 -0000

I shall be disappointed if this BoF talks about YANG for data modelling.
 
The first draft of the charter posted on the IRS mailing list says:
 
> The IRS working group works to develop a framework and
> architecture that will enable specific use cases, and lead to
> an understanding of the informational models and 
> requirements for encodings and protocols.
 
...and
 
> The working group is chartered to work on the following items:
> 
> 1. Architecture and framework for IRS including considerations of
>    policy and security
> 
> 2. Tightly scoped key use cases for operational use of IRS. These
>  use cases will include at least:
> - Interactions with the RIB
> - Association of routing policies with routing state
> - The ability to extract information about topology from the network. 
>    Injection and creation of topology will not be considered as an initial
>    work item.
> Other use cases may be adopted by the working group only after
> milestones have been added to the charter page.
> 
> 3. Abstract information models consistent with the use cases
> 
> 4. Requirements for IRS protocols and encoding languages
> 
> 5. An analysis of existing IETF and other protocols and encoding languages
against the requirements.
 
...and
 
> The working group is not currently chartered to develop protocols,
> encoding languages, or data models.
 
What is more, the BoF description posted on the wiki and forming part of the
grant of the BoF says:
 
>   This BoF is to determine focus and support for work within the IETF
>   to specify abstract data information models, specific data models,
>   and protocols to operate the IRS. The BoF does not assume that new
>   data modeling languages or protocols will be required - that decision
>   is expected to form part of the analysis carried out by a working
>   group if one is formed.
 
My disappointment if YANG is mentioned during the BoF will be because it will
demonstrate that people have not understood the need to develop use cases and
requirements *before* discussing whether existing protocols and encoding
languages are suitable for the task at hand. It would be frankly as absurd to
rule out Netconf as one of the protocols used in IRS as it would be to demand
that it is used because we have currently no idea what function we are trying to
provide. Similarly, it would be wrong to rule YANG in or out at this stage.
 
So, I hope the BoF will talk about use cases and WG charter, and not about
solution protocols and encoding languages.
 
Nevertheless, I hope that we get lots of Ops clue in this meeting and encourage
you to come along.
 
Thanks,
Adrian

From: Benoit Claise [mailto:[email-masked]] 
Sent: 30 October 2012 16:01
To: NETMOD Working Group; NETCONF
Cc: Adrian Farrel
Subject: Please attend the IRS BoF
 
Dear all,

Salon D <http://tools.ietf.org/agenda/85/venue/?room=salon-d> 
RTG
irs
Description: cid:[email-masked] to the Routing
System BOF 

Regards, Benoit.

---

From: David Kessens <[email-masked]>
Date: Tue, 30 Oct 2012 20:54:29 -0700

Adrian,

> solution protocols and encoding languages.

Exactly. In that context, I hope many Yang & netconf experts can make it to
the bof in order to advise the Ops area director whether to insist that
particular wording should be in the charter that encourages to take a look
at and use of a particular existing technology or derivative, or whether a
wider search for new or existing technology is appropriate. That might very
well result in somebody mentioning the word netconf/yang and I sure hope
that nobody will feel discouraged in doing so after your mail!

David Kessens
---